import React from "react";
import { ManagedClasses } from "@microsoft/fast-components-class-name-contracts-base";
import { FileControlClassNameContract } from "./control.file.style";
import { FileControlProps } from "./control.file.props";
/**
 * @alpha
 * Custom form control definition
 */
declare class FileControl extends React.Component<FileControlProps & ManagedClasses<FileControlClassNameContract>> {
    static displayName: string;
    static defaultProps: Partial<FileControlProps & ManagedClasses<FileControlClassNameContract>>;
    /**
     * Render the component
     */
    render(): React.ReactNode;
    /**
     * Callback for input change
     */
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
}
export { FileControl };
declare const _default: React.ComponentClass<import("@microsoft/fast-jss-manager-react").ManagedJSSProps<FileControlProps, FileControlClassNameContract, {}>, any>;
export default _default;
