export declare function assignCSSCustomProperty(customPropertyName: string, defaultPropertyValue: string | number): string;
/**
 * Layers
 *
 * These are the CSS custom properties for the layer background
 * The values start from L1 (the lightest) to L4 (the darkest).
 */
export declare const L1ColorName: string;
export declare const L1CSSProperty: string;
export declare const L2ColorName: string;
export declare const L2CSSProperty: string;
export declare const L3ColorName: string;
export declare const L3CSSProperty: string;
export declare const L3OutlineColorName: string;
export declare const L3OutlineColorProperty: string;
export declare const L3FillColorName: string;
export declare const L3FillColorProperty: string;
export declare const L4ColorName: string;
export declare const L4CSSProperty: string;
export declare const FloatingColorName: string;
export declare const FloatingCSSProperty: string;
/**
 * Accent color
 */
export declare const accentColorName: string;
export declare const accentColorCSSProperty: string;
/**
 * Text colors
 */
export declare const textColorName: string;
export declare const textColorCSSProperty: string;
export declare const inactiveTextColorName: string;
export declare const inactiveTextColorCSSProperty: string;
/**
 * Error color
 */
export declare const errorColorName: string;
export declare const errorColorCSSProperty: string;
/**
 * Disable opacity
 */
export declare const disableOpacityName: string;
export declare const disableOpacityCSSProperty: string;
/**
 * Colors for code highlighting
 */
export declare const codeHighlightCSSKeyColorName: string;
export declare const codeHighlightCSSKeyColor: string;
export declare const codeHighlightCSSValueColorName: string;
export declare const codeHighlightCSSValueColor: string;
/**
 * Border radius
 */
export declare const borderRadiusName: string;
export declare const borderRadiusCSSProperty: string;
/**
 * Gutter
 */
export declare const gutterName: string;
export declare const gutterCSSProperty: string;
/**
 * Text size
 */
export declare const defaultTextSizeName: string;
export declare const defaultTextSizeCSSProperty: string;
export declare const statusMessageTextSizeName: string;
export declare const statusMessageTextSizeCSSProperty: string;
